Bug 1766613 - Fact search bar broken and resets to only searching hostname
Summary: Fact search bar broken and resets to only searching hostname
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Fact
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.8.0
Assignee: Amir
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-29 13:59 UTC by Lai
Modified: 2020-10-27 12:59 UTC (History)
3 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:59:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28182 0 Normal Closed Fact search bar broken and resets to only searching hostname 2020-10-28 17:19:51 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:59:21 UTC

Description Lai 2019-10-29 13:59:19 UTC
Description of problem:
In the Facts Value screen, users cannot perform search correctly because whenever a user tries to search anything in the search bar, it either gets cleared and "host = <hostname>" appears or "host = <hostname>" gets appended to the search string of what the user wants to search.  You cannot never clear the search bar or accurately search for anything.

Version-Release number of selected component (if applicable):
6.6.0

How reproducible:
100%

Steps to Reproduce:
1. Hosts -> All Hosts -> <hostname> -> Facts
2. Clear out search bar and search for "name = architecture"

Actual results:
name=architecturehost=<hostname>
No entries found.

Expected results:
name=architecture
Some kind of successful population of table if it exists after clicking search.

Comment 3 Marek Hulan 2019-11-01 14:51:21 UTC
Since user is on host /hosts/$fqdn/facts url, it's ok (perhaps confusing) it tries to inject "host = $fqdn" to search bar, but the bug is, it should also add a separator " and ".

Comment 4 Marek Hulan 2019-11-01 14:55:45 UTC
Created redmine issue https://projects.theforeman.org/issues/28182 from this bug

Comment 5 Bryan Kearney 2020-03-31 20:04:06 UTC
Upstream bug assigned to afeferku

Comment 6 Bryan Kearney 2020-03-31 20:04:08 UTC
Upstream bug assigned to afeferku

Comment 7 Bryan Kearney 2020-05-18 08:03:59 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28182 has been resolved.

Comment 9 Radovan Drazny 2020-08-21 13:06:52 UTC
Tested on Satellite 6.8 Snap 10. When searching for a fact when browsing a specific host, the "and host=<fqdn>" clause is added to the query. When "host=<fqdn>" is already part of the query, it is correctly detected and not duplicated. Searching facts outside of a single host scope doesn't get "host=<fqdn>" added.

Comment 12 errata-xmlrpc 2020-10-27 12:59:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.